﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Ria;

namespace SharedServices
{
    public interface IChild
    {
         Guid ChildID {get;set;}
         IChildType ChildType { get; }
    }
    public interface IChild<T> : IChild where T : Entity, IChildProperty, new()
    {
        T ChildProperty { get; set; }
    }
}
