﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using SharedServices;

namespace ChildHeightModule.Web
{
    public sealed partial class Child : IChild<ChildHeight>
    {

        #region IChild<ChildHeight> Members

        public ChildHeight ChildProperty
        {
            get
            {
                return ChildHeight;
            }
            set
            {
                ChildHeight = value;
            }
        }

        #endregion


        #region IChild Members


        IChildType IChild.ChildType
        {
            get
            {
                return ChildType;
            }
        }

        #endregion
    }
}
