﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using SharedServices;

namespace ChildWidthModule.Web
{
    public sealed partial class Child : IChild<ChildWidth>
    {

        #region IChild<ChildHeight> Members

        public ChildWidth ChildProperty
        {
            get
            {
                return this.ChildWidth;
            }
            set
            {
                ChildWidth = value;
            }
        }

        #endregion

        #region IChild Members


        IChildType IChild.ChildType
        {
            get
            {
                return ChildType;
            }

        }

        #endregion
    }
}
