﻿
namespace ParentModule.Web
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.ComponentModel.DataAnnotations;
    using System.Data;
    using System.Linq;
    using System.Web.DomainServices;
    using System.Web.DomainServices.Providers;
    using System.Web.Ria;
    using System.Web.Ria.Services;


    // Implements application logic using the ParentModelEntities context.
    // TODO: Add your application logic to these methods or in additional methods.
    // TODO: Wire up authentication (Windows/ASP.NET Forms) and uncomment the following to disable anonymous access
    // Also consider adding roles to restrict access as appropriate.
    // [RequiresAuthentication]
    [EnableClientAccess()]
    public class ParentDomainService : LinqToEntitiesDomainService<ParentModelEntities>
    {

        // TODO: Consider
        // 1. Adding parameters to this method and constraining returned results, and/or
        // 2. Adding query methods taking different parameters.
        public IQueryable<Parent> GetParent()
        {
            return this.ObjectContext.Parent;
        }

        public void InsertParent(Parent parent)
        {
            this.ObjectContext.AddToParent(parent);
        }

        public void UpdateParent(Parent currentParent)
        {
            if ((currentParent.EntityState == EntityState.Detached))
            {
                this.ObjectContext.AttachAsModified(currentParent, this.ChangeSet.GetOriginal(currentParent));
            }
        }

        public void DeleteParent(Parent parent)
        {
            if ((parent.EntityState == EntityState.Detached))
            {
                this.ObjectContext.Attach(parent);
            }
            this.ObjectContext.DeleteObject(parent);
        }
    }
}


